<?php

if (!defined('ROOT')) exit('Can\'t Access !');

class slide extends table {
    public $name='slide';
    static $me;
    public static function getInstance() {
        if (!self::$me) {
            $class=new slide();
            self::$me=$class;
        }
        return self::$me;
    }

    function getcols($act) {
        return '*';
    }

    function get_form() {
        return array(
            'slide_style_position'=>array(
                'selecttype'=>'select',
                'select'=>form::arraytoselect(array(0=>lang_admin('居左'),1=>lang_admin('居中'),2=>lang_admin('居右'))),
                'default'=>0,
            ),
            'slide_btn_shape'=>array(
                'selecttype'=>'select',
                'select'=>form::arraytoselect(array(1=>lang_admin('圆形'),2=>lang_admin('方形'))),
                'default'=>2,
            ),

        );
    }

}